Subject: Re: bug#37789: guix pull: error: You found a bug: the program

From: Ludovic Courtès <[email-masked]>
Date: Wed, 10 Jun 2020 16:48:43 +0200

Hi,

George Clemmer <[email-masked]> skribis:

> I recently re-installed Guix System from USB and abandoned my config
> that turned off substitutes. And of course, guix pull works great ;-)

Awesome!

> I assume that "guix pull w/substitutes off" is not recommended or likely
> to be used by others. If so maybe this bug can be cleared?

It’s necessarily supported: the build farm has to build those
substitutes in the first place, and if you’re unlucky, you end up
building it locally.  Like Tobias writes, it still requires a lot of
CPU/memory/disk, but it’s definitely supported.

Thanks,
Ludo’.